Skip to Content
veriom

Get workspace deletion

GET
/v1/workspaces/{workspace_id}/deletion

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
completed_at*|null
id*Id
Formatuuid
last_error*string|null
requested_at*Requested At
Formatdate-time
scheduled_for?|

When the purge may start; an Owner can cancel until then.

status*Status

scheduled while the grace period runs, then queued, processing, and completed.

workspace_id*Workspace Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/deletion'
Example Response
{  "completed_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_error": "string",  "requested_at": "2019-08-24T14:15:22Z",  "scheduled_for": "2019-08-24T14:15:22Z",  "status": "string",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}